from dataclasses import dataclass
from uuid import UUID


@dataclass(frozen=True)
class UserResponse:
    name: str
    email: str


@dataclass(frozen=True)
class UserDetaledResponse:
    id: UUID
    name: str
    email: str
    hashed_password: str
