from api.domain import DomainError


class UserNotFoundError(DomainError):
    pass


class UserValidationError(DomainError):
    pass


class UserInvalidCredentialsError(DomainError):
    pass


class UserAlreadyExistsError(DomainError):
    pass


class UserIsNotAuthorizedError(DomainError):
    pass
